La llegada de WordPress 5 pone fecha de caducidad al Classic Editor

WordPress 5.0 con Gutenberg está al caer y esto significa un cambio sustancial en cómo editamos los contenidos dentro de WordPress. Y esto va a traer muchos problemas con temas y plugins que no están preparados para Gutenberg.

Pero hay una solución temporal: El plugin CLASSIC EDITOR.

Ese plugin nos permite seguir utilizando el editor “tradicional” anterior a la nueva época de Gutenberg y WordPress 5.0

El plugin CLASSIC EDITOR va a estar soportado oficialmente hasta 31 de diciembre de 2021.

Hoy nos han confirmado oficialmente la fecha de caducidad de ese plugin: El 31 de diciembre de 2021 ese plugin dejará de estar soportado. Por tanto hay 3 años para adaptar todas las instalaciones de WordPress a Gutenberg y de paso Gutenberg también tiene tiempo de solucionar todos sus fallos y problemas.

Algunas preguntas y respuestas a este anuncio

  • ¿Qué significa “con apoyo oficial”? Se garantiza que funcionará como se espera en la versión más reciente de WordPress, y en la versión principal anterior.
  • ¿Se puede prorrogar esta fecha? En 2021 evaluaremos el mantenimiento continuo del plugin, basado en el uso. Esperamos que el mantenimiento continuo sea bastante trivial.
  • ¿Funcionarán otras opciones (por ejemplo, Custom Post Types o Meta Boxes) durante los próximos dos años? Mientras que todavía será posible que los CPTs y Meta Boxes sean marcados como incompatibles con el editor de bloques, los futuros comunicados de WordPress moverán esta funcionalidad al plugin de Classic Editor. Cuando esto suceda, WordPress recomendará que los propietarios de sitio instalen y activen el plugin Classic Editor cuando se desencadene una emergencia.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.